@book{PMBOK,
	title={Guía de los fundamentos para la dirección de proyectos (Guía del PMBOK).},
	author={Project Management Institute},
	year={2004}
}

@book{IEE-requirements,
	title={IEEE Recommended Practice for Software Requirements Specifications.},
	author={IEEE Computer Society},
	year={1998}
}

@online{Dennard-Scaling,
	title={Understanding Dennard scaling.},
	author={Rambus.com},
	url={https://www.rambus.com/blogs/understanding-dennard-scaling-2/},
	date={2016},
	month={08},
	day={04},
	urldate = {2017-23-02},
}

@book{Elisardo-Tema1,
	title={Arquitectura de Computadores -- Tema 1: Procesadores Multinúcleo e Perspectivas de Escalamento.},
	author={Elisardo Antelo Suárez},
	year={2015}
}

@online{top500,
	title={Top500 List - June 2017},
	author={Top500 The List},
	url={https://www.top500.org/lists/2017/06/},
	date={2017},
	month={06},
	urldate = {2017-06-26},
}

@book{intel-Xeon-Phi-KNL-book,
	title={Intel Xeon Phi Processor High Performance Programming: Knights Landing Edition},
	author={Jeffers, James and Reinders, James and Sodani, Avinash},
	year={2016},
	publisher={Morgan Kaufmann}
}

@online{intel-Hyperthreading,
	title={Intel® Hyper-Threading Technology},
	author={Intel® Corporation},
	url={http://www.intel.com/content/www/us/en/architecture-and-technology/hyper-threading/hyper-threading-technology.html},
	urldate = {2017-03-01},
}

@online{intel-E7,
	title={Intel® Xeon® Processor E7-8890 v4},
	author={Intel® Corporation},
	url={http://ark.intel.com/es-es/products/93790/Intel-Xeon-Processor-E7-8890-v4-60M-Cache-2_20-GHz?_ga=1.175262694.578349966.1483719145},
	urldate = {2017-03-01},
}

@article{colfax-avx512,
	title={Guide to automatic vectorization with Intel AVX-512 instructions in Knights Landing processor.},
	author={Bonan Zhang},
	journaltitle={Colfax International},
	url={https://colfaxresearch.com/knl-avx512/},
	date={2016-05-11}
}

@article{colfax-mcdram,
	title={MCDRAM as High-Bandwidth Memory (HBM) in Knights Landing processors: Developer's Guide.},
	author={Ryo Asai},
	journaltitle={Colfax International},
	url={https://colfaxresearch.com/knl-mcdram/},
	date={2016-05-11}
}

@article{colfax-clustering,
	title={Clustering modes in Knights Landing processors: Developer's Guide.},
	author={Andrey Vladimirov and Ryo Asai},
	journaltitle={Colfax International},
	url={https://colfaxresearch.com/knl-guide/},
	date={2016-05-11}
}

@online{sueldos-USC,
	title = {CONTRATACIÓN CAP. VI ‐ CATEGORÍAS E RETRIBUCIÓNS (ano 2017)},
	author={Universidad de Santiago de Compostela},
	url={http://imaisd.usc.es/ftp/oit/documentos/1954_gl.pdf?i=gl&s=-80-299},
	urldate = {2017-03-08},
}

@online{Xeon-Phi-7250,
	title = {Intel® Xeon Phi™ Processor 7250},
	author={Intel® Corporation},
	url={http://ark.intel.com/es-es/products/94035/Intel-Xeon-Phi-Processor-7250-16GB-1_40-GHz-68-core?_ga=1.228789336.578349966.1483719145},
	urldate = {2017-03-08},
}

@book{costes-indirectos-Xunta,
	title={Diario Oficial de Galicia},
	author={Xunta de Galicia},
	year={2016},
	month={08},
	day={10},
	url={http://imaisd.usc.es/ftp/oit/documentos/1871_gl.pdf},
}

@book{parallel-computing-intel-history,
	title={Parallel Computing: Background},
	author={Intel® Corporation},
	year={2012},
	url={http://www.intel.com/pressroom/kits/upcrc/ParallelComputing_backgrounder.pdf}
}

@article{Illiac-IV,
	title={The Illiac IV System},
	author={W. J. Bouknight and Stewart A. Denenberg and David E. McIntyre and J. M. Randall and Amed H. Sameh and Daniel L. Slotnick},
	journaltitle={Proceeding of the IEEE},
	url={https://www.cs.auckland.ac.nz/courses/compsci703s1c/resources/Bouknight-ILIAC-IV.pdf},
	year={1972},
	month={04},
}

@online{iPhone-FLOPS,
	title={The new iPhone 6 has 58 times the speed and 64 times the storage of the 1989 CRAY-2 supercomputer. Why is the best use of this new device playing Infinity Blade?},
	author={Quora},
	url={https://www.quora.com/The-new-iPhone-6-has-58-times-the-speed-and-64-times-the-storage-of-the-1989-CRAY-2-supercomputer-Why-is-the-best-use-of-this-new-device-playing-Infinity-Blade},
	urldate={2017-03-09}
}

@book{Cray-1,
	title={The Cray-1 Computer System},
	author={Cray Reseach Inc.},
	url={http://archive.computerhistory.org/resources/text/Cray/Cray.Cray1.1977.102638650.pdf},
	year={1976},
}

@book{tanenbaum2009sistemas,
	title={Sistemas operativos modernos 3ª Edición},
	author={Tanenbaum, Andrew S.},
	isbn={9786074420463},
	year={2009},
	publisher={Pearson Educaci{\'o}n}
}

@online{openMP-atomic,
	title={Basic OpenMP Atomic Operations},
	author={Intel® Software},
	url={https://software.intel.com/en-us/node/608159},
	urldate={2017-04-12}
}

@online{openMP-critical,
	title={OpenMP Critical Sections},
	author={Intel® Software},
	url={https://software.intel.com/en-us/node/608158},
	urldate={2017-04-12}
}

@inproceedings{false-sharing,
	author = {Bolosky, William J. and Scott, Michael L.},
	title = {False Sharing and Its Effect on Shared Memory Performance},
	booktitle = {USENIX Systems on USENIX Experiences with Distributed and Multiprocessor Systems - Volume 4},
	series = {Sedms'93},
	year = {1993},
	location = {San Diego, California},
	url = {http://dl.acm.org/citation.cfm?id=1295480.1295483},
	acmid = {1295483},
	publisher = {USENIX Association},
	address = {Berkeley, CA, USA},
}

@online{getopt,
	title={Parsing program options using getopt},
	author={GNU},
	url={https://www.gnu.org/software/libc/manual/html_node/Getopt.html},
	urldate={2017-04-19}
}

@book{gcc-manual,
	title={Using the GNU Compiler Collection.},
	subtitle={For GCC version 7.1.0},
	author={Richard M. Stallman and GCC Developer Community},
	year={2017},
	month={05},
	day={05},
	url={https://gcc.gnu.org/onlinedocs/gcc-7.1.0/gcc.pdf}
}

@online{sighup-wiki,
	title={SIGHUP --- Wikipedia{,} The Free Encyclopedia},
	author={Wikipedia},
	year={2017},
	url={https://en.wikipedia.org/w/index.php?title=SIGHUP&oldid=759576623},
	urldate={2017-05-17}
}

@online{sighup-bash-guide,
	title={Bash Guide for Beginners},
	subtitle={Chapter 12.1. Signals},
	author={Machtelt Garrels},
	year={2008},
	url={http://tldp.org/LDP/Bash-Beginners-Guide/html/sect_12_01.html},
	urldate={2017-05-17}
}

@book{brugueraJerarquiaMemoira,
	title={Fundamentos de Computadores -- Tema 6. Jerarquía de memoria},
	author={Javier Díaz Bruguera},
	year={2014}
}

@online{calculadora-contratos-usc,
	title={Calculadora de Contratos},
	author={Universidade de Santiago de Compostela},
	url={http://imaisd.usc.es/ferramentas/calculadora/calculadoracontratos.asp},
	urldate={2017-06-05}
}

@book{openmp-description,
	title={OpenMP 4.5 C/C++ Syntax Reference Guide.},
	author={OpenMP},
	year={2015},
	url={http://www.openmp.org/wp-content/uploads/OpenMP-4.5-1115-CPP-web.pdf}
}